<!doctype html>  

<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ --> 
<!--[if IE 7 ]>    <html lang="en" class="no-js ie7"> <![endif]-->
<!--[if IE 8 ]>    <html lang="en" class="no-js ie8"> <![endif]-->
<!--[if IE 9 ]>    <html lang="en" class="no-js ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html lang="en" class="no-js"> <!--<![endif]-->
  <head>
    <meta charset="utf-8">
    
    <!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame 
	 Remove this if you use the .htaccess -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    
    <title>TextGridRep ZIP Export</title>
    <meta name="description" content="">
    <meta name="author" content="">
    
    <!--  Mobile viewport optimized: j.mp/bplateviewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <!-- Place favicon.ico & apple-touch-icon.png in the root of your domain and delete these references -->
    <link rel="shortcut icon" href="/favicon.ico">
    <link rel="apple-touch-icon" href="/apple-touch-icon.png">
    
    <!-- CSS : implied media="all" -->
    <link rel="stylesheet" href="css/style.css?v=2">
    
    <!-- All JavaScript at the bottom, except for Modernizr which enables HTML5 elements & feature detects -->
    <script src="js/libs/modernizr.custom.28731.js"></script>  
  </head>
  
<!-- End of the common head part -->
  <body class="advanced">
    <div id="container">
      <div id="bg-decoration"></div>
      
      <header>
	<nav class="clearfix" >
       	  <ul class="clearfix">
            <li><a href="index.html">Simple Search</a></li>
            <li><a href="advanced.html">Advanced Search</a></li>
            <li><a href="repository.html">Repository Content</a></li>
	    <li id="backlink-tab"></li>
            <li class="active">ZIP export</li>
          </ul>
        </nav>
      </header>
		
      <section id="main">
	<header class="clearfix">
	  <h1>
	    <a href="http://www.textgrid.de"><img id="replogo" src="images/textgridrep_logo.png" alt="TextGrid Repository" /></a>
            <!--a href="http://de.dariah.eu"><img id="dariahlogo" style="height:75px;padding-left:32px;vertical-align:top;" src="images/DARIAH-DE.png" alt="DARIAH-DE" /></a-->
          </h1>
          <h2>ZIP export</h2>
        </header>
	
        <!-- ZIP Section -->
	
	<form id="zipform" class="clearfix" method="GET" action="#">
          <div class="expandable-group">
            <h3><label>Export to ZIP</label>
	    </h3>

	    <div id="zipformcontent" class="expandable-content">
	      <button type="submit" id="rightcol" class="styled-button zip-button" title="Create ZIP export with current settings">Export</button>

	      <ul>
		<li id="export-single">
		  <label>Export object and everything below:</label>
		  <input type="text" disabled="disabled" id="id-input" value="textgrid:4711"/>
		</li>
		<li id="export-query">
		<label>Export all results of the query:</label><br />
		  <input type="text" name="query" style="width: 50em;"/>
		  <!--p>
		      <label class="first" >
			<input type="radio" name="target" value="structure" id="searchmode_0" >
			Search Fulltext</label>
		      <label>
			<input type="radio" name="target" value="metadata" id="searchmode_1">
			Search Metadata</label>
		      <label>
			<input type="radio" name="target" value="both" id="searchmode_2" checked>
			Search Both</label>
		  </p-->
		  <input type="hidden" name="target" value="both" />
		</li>
		<li>
		  <input id="meta" name="meta" type="checkbox" value="false"></input>
		  <label class="helptext" for="meta">exclude metadata and aggregation files</meta>
		</li>
		<li>
		  <input id="stream" name="stream" type="checkbox" value="true" checked="checked" />
		  <label class="helptext" for="stream">start download fast (may leave some <code>textgrid:</code> links in XML files)</label>
		</li>
		<li>
		<ul class="checkedtree" style="margin-left: 0em;">
		  <li>
		  <input type="checkbox" class="cParent" />
		  <label class="helptext">Export only specific content types</label>
		  <ul>
		    <li>
		    <input type="checkbox" value="text/xml" name="only" />
		    <label>XML Document (text/xml)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/xml+xslt" name="only" />
		    <label>XSLT Stylesheet (text/xml+xslt)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/css" name="only" />
		    <label>Cascading Stylesheet (CSS) (text/css)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/xsd+xml" name="only" />
		    <label>XML Schema (text/xsd+xml)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="application/xml-dtd" name="only" />
		    <label>DTD (application/xml-dtd)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="image/jpeg" name="only" />
		    <label>JPEG image (image/jpeg)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="image/png" name="only" />
		    <label>PNG image (image/png)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="image/tiff" name="only" />
		    <label>TIFF image (image/tiff)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/plain" name="only" />
		    <label>Plain Text (text/plain)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/linkeditorlinkedfile" name="only" />
		    <label>Text Image Link File (text/linkeditorlinkedfile)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/tg.aggregation+xml" name="only" />
		    <label>Aggregation (text/tg.aggregation+xml)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/tg.collection+tg.aggregation+xml" name="only" />
		    <label>Collection (text/tg.collection+tg.aggregation+xml)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/tg.edition+tg.aggregation+xml" name="only" />
		    <label>Edition (text/tg.edition+tg.aggregation+xml)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/tg.work+xml" name="only" />
		    <label>Work Metadata (text/tg.work+xml)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/tg.imex+xml" name="only" />
		    <label>Import / Export Mapping (text/tg.imex+xml)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/tg.servicedescription+xml" name="only" />
		    <label>TextGrid Service Description (text/tg.servicedescription+xml)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/gwdl.workflow+xml" name="only" />
		    <label>TextGrid Workflow Document (GWDL) (text/gwdl.workflow+xml)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="text/tg.workflow+xml" name="only" />
		    <label>TextGrid Workflow Document (text/tg.workflow+xml)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="unknown/unknown" name="only" />
		    <label>Unknown (unknown/unknown)</label>
		    </li>
		    <li>
		    <input type="checkbox" value="application/zip" name="only" />
		    <label>ZIP Archive (application/zip)</label>
		    </li>
		  </ul>
		  </li>
                            </ul>
                      </li>
		      <li><label>Transform XML documents during export?</li>
		      <ul>
			<li><label class="helptext"><input type="radio" name="transform" value="" checked="checked"/>
			  leave as XML</label></li>
			<li><label class="helptext"><input type="radio" name="transform" value="text"/>
			  transform to plain text</label></li>
			<li><label class="helptext"><input type="radio" name="transform" value="html"/>
			  transform to HTML</label></li>
		      </ul>
		    </li>
		    <li>
		    <div class="arrow visible"></div>
		    <label>Configure filename patterns</label>

		    <ul style="display: none;">

		      <li><label class="helptext">Pattern for content file names<br/>
			<input type="text" name="filenames" style="width: 60em;" value="{parent|/}{author}-{title}*.{ext}" /></label></li>
		      <li><label>Pattern for metadata file names (if exported)<br/>
			<input type="text" name="metanames" style="width: 60em;" value="{filename}.meta"></label></li>
		      <li><label>Pattern for directory names (referenced using {parent} in the patterns)<br/>
			<input type="text" name="dirnames" style="width: 60em;" value="{parent|/}{title}*"></label></li>

		      <div class="helptext">
			<p>You can adjust the file names and directory structure
			that will be used inside the ZIP file by providing
			patterns above. The patterns are arbitrary strings that contain variables in curly
			brackets. Available variables are:
			<ul>
			  <li><em>title</em>, </li>
			  <li><em>author</em> (currently only works if the corresponding edition/work is exported as well), </li>
			  <li><em>uri</em>, </li>
			  <li><em>ext</em> (filename extension), </li>
			  <li><em>parent</em> (for all except directory name), </li>
			  <li><em>filename</em> (for metadata filename, corresponds to the content file),</li></li>
			  <li><em>*</em> (without {}, is expanded to a disambiguation number on filenames that would otherwise be ambigue)</li>
			</ul>
			<p>Variables may take options after the variable name, separated by a |. Options are <ul>
			  <li><em>raw</em> (do not replace special characters), 
			  <li>a number (length cutoff), and 
			  <li><em>/</em> (append a directory separator).</li>
			</div>
		      </ul>
		    </li>
	      </ul>
	    </div>
	  </div>
	</form>
	
      </section>
      
      <footer></footer>
      
    </div> <!--! end of #container -->
    
    <!-- Start of common foot part -->
    <!-- Javascript at the bottom for fast page loading -->
    <script src="js/libs/jquery-1.4.2.js"></script>
    <script src="js/libs/jquery-ui.min.js"></script>
    
    <!-- Only load the datepicker extension if the browser doesn't support this natively -->
    <script>
      yepnope({
      test : Modernizr.inputtypes.date,
      nope : [
      // load scripts to simulate date type
      'js/datepicker.js',
      'css/smoothness/jquery-ui-1.8.11.custom.min.css'
      ]
      });
    </script>    
    <script src="js/plugins.min.js"></script>
    <script src="js/script.js"></script>
  <script>
    $.query = { spaces: false };
  </script>
    <script src="js/mylibs/jquery.query-2.1.7.js"></script>
    <script src="js/mylibs/jquery.dateFormat-1.0.js"></script>
    <script src="js/mylibs/jquery.xmlns.js"></script>
    <script src="js/config.js"></script>  
    <script src="js/tgsearchCommon.js"></script>
    <script src="js/jquery.getUrlParam.js"></script>
    <script>
		
      function initZipForm() {
	if ($.query.get('id')) {
	  // zip single object
	  var id = $.query.get('id');
	  $('#backlink-tab').append('<a href="browse.html?id='+id+'">Browse</a>');
	  $('#zipform').attr('action', aggregatorURL + 'zip/' + id);
	  $('#id-input').attr('value', id); // TODO display metadata?
	  $('#export-query').remove();
	} else if ($.query.get('query')) {
	  // zip query result
	  $('#backlink-tab').append('<a href="results.html?query='+$.query.get('query')+'&target='+$.query.get('target')+'>Results</a>');
	  $('#zipform').attr('action', aggregatorURL + 'zip/query');
	  $('#export-single').remove();
	  $('#zipform input[name=query]').val(decodeURIComponent($.query.get('query').replace('+','%20')));
	} else {
	  // sth went wrong
	  $('#zipformcontent').html('<p class="alert error"><strong>Something went wrong.</strong> The link you followed should have specified <em>what</em> to export.</p>');
	}
      }
      $(initZipForm())
      
    </script>
  </body>
</html>
